Subject: bug#65769:

From: Hugo Buddelmeijer <[email-masked]>
Date: Fri, 20 Oct 2023 13:49:23 +0000

Ok, just one more update on the hardware issue: I 'resolved' it, and
maybe I can help others by commenting here.

Specifying i915.enable_guc=0 as a kernel parameter at boot will ensure
the kernel doesn't get 'wedged' and now sway works on the libre kernel
too. I get the blinking cursor again if I forget.

I tried adding the kernel parameter to the config like this:

            (sysctl-service-type config =>
                     (sysctl-configuration
                      (settings (append '(("i915.enable_guc" . "0"))
                                        %default-sysctl-settings))))

But that does not work, so I have to add the parameter at boot time.
Maybe I'll create a new issue for that.

So now I can go back to actually using sway, and fixing my power
management! And perhaps, if it becomes annoying enough, the creation
of the /run/user/<greeter id> directory...

Hugo

On Fri, 20 Oct 2023 at 12:14, Hugo Buddelmeijer <[email-masked]> wrote:
>
> Thank you bdju!
>
> Your config also does not work for me, so my specific problem is
> probably hardware related. Thanks for helping me isolate the problem.
> Apparently I was naive in assuming that i915 would mean things would
> just work. (Well, X works.)
>
> I also get a blank screen with the cursor at the top of the screen
> (sometimes), but my problem seems unrelated to this issue, because
> greetd/wlgreet is now not involved. I will therefore not discuss my
> problem here further.
>
> Hugo
>
> On Fri, 20 Oct 2023 at 12:02, bdju <[email-masked]> wrote:
> >
> > On Fri Oct 20, 2023 at 4:01 AM CDT, Hugo Buddelmeijer wrote:
> > > It would be greatly appreciated if someone could post an example Guix
> > > config for Sway that should run out of the box with the libre kernel
> > > without any extra channels. For example on a virtual machine. Then we
> > > have a shared starting point that we can all confirm to work, so we
> > > can detangle issues specific to our own hardware and software
> > > configuration, and issues related to Sway+Guix in general.
> > >
> > > Cheers,
> > > Hugo
> > >
> >
> > I am running Sway on Guix System with the libre kernel. My hardware is a
> > ThinkPad T440p, intel graphics. I do not use any channels.
> >
> > I've attached my config.scm, manifest, and sway config files in case
> > it's useful to you.